Bug 197802 - Use kDNSServiceFlagsKnownUnique for DNSServiceRegisterRecord only on platforms supporting it
Summary: Use kDNSServiceFlagsKnownUnique for DNSServiceRegisterRecord only on platform...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-10 16:05 PDT by youenn fablet
Modified: 2019-05-13 12:38 PDT (History)
9 users (show)

See Also:


Attachments
Patch (2.80 KB, patch)
2019-05-10 16:07 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews213 for win-future (13.66 MB, application/zip)
2019-05-11 02:03 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-05-10 16:05:58 PDT
Use kDNSServiceFlagsKnownUnique for DNSServiceRegisterRecord only on platforms supporting it
Comment 1 youenn fablet 2019-05-10 16:07:55 PDT
Created attachment 369611 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2019-05-10 16:08:35 PDT
<rdar://problem/50681338>
Comment 3 Build Bot 2019-05-11 02:03:21 PDT
Comment on attachment 369611 [details]
Patch

Attachment 369611 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12160774

New failing tests:
imported/blink/compositing/layer-creation/iframe-clip-removed.html
Comment 4 Build Bot 2019-05-11 02:03:23 PDT
Created attachment 369648 [details]
Archive of layout-test-results from ews213 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews213  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 WebKit Commit Bot 2019-05-13 12:38:38 PDT
Comment on attachment 369611 [details]
Patch

Clearing flags on attachment: 369611

Committed r245244: <https://trac.webkit.org/changeset/245244>
Comment 6 WebKit Commit Bot 2019-05-13 12:38:40 PDT
All reviewed patches have been landed.  Closing bug.